package cd.casic.ci.event.pojo.pipeline;

import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.IEvent;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.slf4j.MDC;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.event.pojo.pipeline
 * @Project：ops-pro
 * @name：IPipelineEvent
 * @Date：2025/03/25 9:50
 * @Filename：IPipelineEvent
 * @description：Todo
 */
@Data
@NoArgsConstructor
public abstract class IPipelineEvent extends IEvent {
    private ActionType actionType;
    private String source;
    private String projectId;
    private String pipelineId;
    private String userId;
    private String traceId = MDC.get("bizid");
    private String routeKeySuffix;
}
