package cd.casic.devops.common.worker;

import java.util.Arrays;
import java.util.List;

public class Constants {
    public static final String BUILD_ID = "devops.build.id";
    public static final String BUILD_TYPE = "build.type";
    public static final String WORKSPACE_ENV = "WORKSPACE";
    public static final String COMMON_ENV_CONTEXT = "common_env";
    public static final String WORKSPACE_CONTEXT = "ci.workspace";
    public static final String CI_TOKEN_CONTEXT = "ci.token";
    public static final String JOB_OS_CONTEXT = "job.os";
    public static final String SLAVE_AGENT_START_FILE = "devops.slave.agent.start.file";
    public static final String SLAVE_AGENT_PREPARE_START_FILE = "devops.slave.agent.prepare.start.file";
    public static final String AGENT_ERROR_MSG_FILE = "devops.agent.error.file";
    public static final String CLEAN_WORKSPACE = "DEVOPS_CLEAN_WORKSPACE";
    public static final String JAVA_PATH_ENV = "bk_java_path";
    public static final String NODEJS_PATH_ENV = "bk_nodejs_path";
    public static final String LOG_DEBUG_FLAG = "##[debug]";
    public static final String LOG_ERROR_FLAG = "##[error]";
    public static final String LOG_WARN_FLAG = "##[warning]";
    public static final String LOG_SUBTAG_FLAG = "##subTag##";
    public static final String LOG_SUBTAG_FINISH_FLAG = "##subTagFinish##";
    public static final int LOG_MESSAGE_LENGTH_LIMIT = 16 * 1024; // 16KB
    public static final int LOG_TASK_LINE_LIMIT = 1000000;
    public static final long LOG_FILE_LENGTH_LIMIT = 1073741824L; // 1 GB = 1073741824 Byte
    public static final List<String> PIPELINE_SCRIPT_ATOM_CODE = Arrays.asList(
        "PipelineScriptDev", 
        "PipelineScriptTest", 
        "PipelineScript"
    );
    public static final String BK_CI_ATOM_EXECUTE_ENV_PATH = "BK_CI_ATOM_EXECUTE_ENV_PATH";
} 