/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 * ...
 */

package cd.casic.devops.common.worker.env;

public enum BuildType {
    WORKER,
    AGENT,
    MACOS,
    MACOS_NEW,
    DOCKER;

    public static boolean contains(String env) {
        for (BuildType type : values()) {
            if (type.name().equals(env)) {
                return true;
            }
        }
        return false;
    }
} 